// Fix172954
// Andrzej Kalamajski
// 2019-11-05   15:00

// Raport naprawczy usuwajacy numer rachunku bankowego z dokumentow sprzedazy,
// kontraktow sprzedazy oraz zamowien obcych.

BaseBD bBD
BaseDK bDK
Int    err, minType, maxType

// usuwamy numer rachunku bankowego z :
// - dokumentow sprzedazy w buforze
// - kontraktow      ( w buforze i wystawionych )
// - zamowien obcych ( w buforze i wystawionych )

If bBD.Open() Then Error "Blad otwarcia BD"

minType = 0
maxType = 1

bBD.SetKey("numer")
bBD.SetKeySeg("typi", minType)
bBD.SetKeySeg("kod", "")
err = bBD.GetRec(GE)
While !err && bBD.GetKeySeg("typi") <= maxType
	If bBD.GetField("account") != "" Then
		bBD.SetField("account", "")
		If bBD.Update() Then Error "Blad zapisu BD"
	EndIf
	err = bBD.GetRec(NX)
Wend

bBD.Close()

// usuwamy numer rachunku bankowego
// - wystawionych dokumentow sprzedazy

If bDK.Open() Then Error "Blad otwarcia DK"

minType = 0
maxType = 0

bDK.SetKey("numer")
bDK.SetKeySeg("typi", minType)
bDK.SetKeySeg("kod", "")
err = bDK.GetRec(GE)
While !err && bDK.GetKeySeg("typi") <= maxType
	If bDK.GetField("account") != "" Then
		bDK.SetField("account", "")
		If bDK.Update() Then Error "Blad zapisu DK"
	EndIf
	err = bDK.GetRec(NX)
Wend

bDK.Close()

Print "Poprawnie usunieto numery rachunkow bankowych z dokumentow sprzedazy,"
Print LF
Print "kontraktow sprzedazy oraz zamowien obcych."